import java.awt.Color;
import java.awt.Graphics;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.awt.image.BufferedImage;

public class Handler extends KeyAdapter {

    Graphics g;
    BufferedImage[] images;

    public Handler(Graphics g, BufferedImage[] images) {
        this.g = g;
        this.images = images;
    }

    /*
     * Diese Methode wird automatisch aufgerufen, sobald der Nutzer eine Taste
     * drückt.
     * 
     * Wir zeichnen dann das Bild neu.
     */
    @Override
    public void keyPressed(KeyEvent e) {

        if (e.getKeyCode() == KeyEvent.VK_B) { // B
            g.setColor(Color.BLACK);
        } else if (e.getKeyCode() == KeyEvent.VK_R) { // R
            g.setColor(Color.RED);
        } else if (e.getKeyCode() == KeyEvent.VK_W) { // W
            g.setColor(Color.WHITE);
        } else { // alle anderen Tasten
            g.setColor(Color.GRAY);
        }

        // Fülle ein Rechteck (der Hintergrund).
        g.fillRect(0, 0, 640, 480);

        // Zeichne die drei Bilder.
        for (int i = 0; i < images.length; ++i) {
            g.drawImage(images[i], 20 * i, 10 * i + 40, null);
        }
    }

}
